Skip to main content
PUT
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

scope
enum<string>
required
Available options:
organization,
team

Query Parameters

expected_organization_id
string | null
Required string length: 1 - 256
expected_team_id
string | null
Required string length: 1 - 256

Body

application/json
enabled
boolean
required
allowed_domains
string[]
required
Maximum array length: 256
expected_revision
integer
required
Required range: x >= 0

Response

Successful Response

enabled
boolean
default:false
allowed_domains
string[]
revision
integer
default:0